[SCM] Installer for game data files branch, testsuite, updated. 521cbfd9ee9133726037dd0213d70a46a2552c63
Jon Dowland
jmtd at debian.org
Thu Dec 17 16:48:39 UTC 2009
The following commit has been merged in the testsuite branch:
commit 582a5b845b318f9089d9c1ac8be0359c49d57437
Author: Jon Dowland <jmtd at debian.org>
Date: Thu Dec 17 16:36:40 2009 +0000
finish up test_slipstream
diff --git a/tests/runtests b/tests/runtests
index 4b0829a..29f194d 100755
--- a/tests/runtests
+++ b/tests/runtests
@@ -37,12 +37,13 @@ test_slipstream() {
debsrc="./tests/empty.deb"
wd=`mktemp -td game-data-packager.tests.XXXXXX`
deb="$wd/empty.deb"
- file="tests/testfile"
+ file="`readlink -f tests/testfile`"
cp -p "$debsrc" "$deb"
- slipstream "$deb" "foo/bar" "$file"
- echo "$deb"
- exit 1
+ WORKDIR="$wd"
+ slipstream "$deb" "foo/bar/baz" "$file"
+ dpkg-deb -c "$deb" | grep "/foo/bar/baz$" >/dev/null
+ assertEquals $? 0
rm "$deb"
rmdir "$wd"
--
Installer for game data files
More information about the Pkg-games-commits
mailing list